weird error: error: -m64 is not supported by this configuration
during a: make image modules_install on a kernel.

all this on sparc64 gentoo.

easy fix:
instead of make && make image modules_install
use : make CROSS_COMPILE=sparc64-unknown-linux-gnu- && CROSS_COMPILE=sparc64-unknown-linux-gnu- make image modules_install

fixed it for me